Name:           mtdiag-qt
Version:        0.6
Release:        3%{?dist}
Summary:        Absolute Device diagnostic tool

Group:          Development/Tools
License:        GPLv2+
URL:            https://github.com/bentiss/%{name}
Source0:        https://github.com/bentiss/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz

Patch0:         0001-launcher-call-setgroups-before-setuid.patch
Patch1:         0002-Fix-floating-point-exception.patch

BuildRequires:  qt5-qtbase-devel
BuildRequires:  libudev-devel libXi-devel
BuildRequires:  libevdev-devel

%global _hardened_build 1

%description
%{name} was initially a multi-touch only diagnostic tool, but it can
now also handle all absolute devices.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1
%patch1 -p1

%build
%qmake_qt5 PREFIX=/usr mtdiag.pro
make %{?_smp_mflags}

%install
%make_install INSTALL_ROOT=%{buildroot}

%files
%{_bindir}/%{name}
%attr(4755,root,root) %{_bindir}/mtdiag-launch
%doc README
%license LICENSE

%changelog
* Tue Nov 07 2017 Benjamin Tissoires <benjamin.tissoires@redhat.com> 0.6-3
- fix a floating point exception on the XPS 9360

* Thu Oct 05 2017 Benjamin Tissoires <benjamin.tissoires@redhat.com> 0.6-2
- fix some rpmlint issues 

* Thu Apr 27 2017 Benjamin Tissoires <benjamin.tissoires@redhat.com> 0.6-1
- mtdiag-qt v0.6

* Fri Apr 21 2017 Benjamin Tissoires <benjamin.tissoires@redhat.com> 0.5-1
- mtdiag-qt v0.5
- fixes for specfile

* Fri Apr 21 2017 Benjamin Tissoires <benjamin.tissoires@redhat.com> 0.4-1
- mtdiag-qt 0.4

* Thu Apr 13 2017 Benjamin Tissoires <benjamin.tissoires@redhat.com> 0.3-2
- Fix el6 compilation

* Wed Apr 12 2017 Benjamin Tissoires <benjamin.tissoires@redhat.com> 0.3-1
- mtdiag-qt 0.3

* Fri Apr 24 2015 Benjamin Tissoires <benjamin.tissoires@redhat.com> 0.2-1
- mtdiag-qt 0.2
- switch to Qt5

* Fri Jan 17 2014 Benjamin Tissoires <benjamin.tissoires@redhat.com> 0.1-1
- Initial package
